gplugin/builders

Parents e8e21ec52990
Children b348dc765513
Make pvs-studio fatal on any error (not sure when this broke..)
--- a/pvs-studio/build.sh Mon Jul 22 02:43:56 2019 -0500
+++ b/pvs-studio/build.sh Wed Jul 24 01:30:56 2019 -0500
@@ -49,5 +49,13 @@
plog-converter -a GA:1,2 -t fullhtml -o pvs-studio -p ${HG_REMOTE} -v ${HG_COMMIT} pvs-studio.log
cp -a pvs-studio ${CONVEY_WORKSPACE}
+# run the converter to determine if we found issues
+ERRORS=$(plog-converter -a GA:1,2 -t tasklist pvs-studio.log | wc -l)
+# the tasklist output has a stock line at the top, which we ignore by checking
+# if we have more than one line in the file
+if [ "${ERRORS}" -gt 1 ] ; then
+ exit 1
+fi
+
exit 0